$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.3/sfk183.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.3/sfk183.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = 'acf88c7838d97753a3d4df6d9334eff57c7a2db97a91628a2c9c7eb469ad96b6'
  checksumType  = 'sha256'
  checksum64    = 'acf88c7838d97753a3d4df6d9334eff57c7a2db97a91628a2c9c7eb469ad96b6'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
